
    #   Print date range in data

    require 'readrad.pl';

    $day = 24 * 60 * 60;
    $Binsize = 60 * 60;               # Bin size in seconds
    $SecPerDay = 24 * 60 * 60;

    $first = 1;

    while (($counts, $time) = &readrad) {
        if ($time == -1) {
            last;
        }
        ($sec, $min, $hour, $mday, $mon, $year) = gmtime($time);
        if ($first) {
            printf("%d/%d/%d %2d:%02d\n", $year + 1900, $mon + 1, $mday, $hour, $min);
            $first = 0;
        }
    }
    printf("%d/%d/%d %2d:%02d\n", $year + 1900, $mon + 1, $mday, $hour, $min);
